Zend Server and IBM i V6R1 support

General discussion on Zend Server for IBM System i
Post Reply
zenbarber
Posts: 7
Joined: Tue Aug 18, 2009 11:03 am

Zend Server and IBM i V6R1 support

Post by zenbarber » Wed Aug 05, 2015 3:04 pm

IBM i V6R1 is still (just) a supported release so I am surprised to see that Zend Server for IBM i release instructions appear to suggest they are only compatible with V7R1.

Does anyone know if Zend Server Version 8.5 (PHP 5.6) can run under IBM i V6R1 and not just V7R1 ?

I've looked at some of the older versions like Zend Server 7 (PHO 5.5) and they too only mention V7R1 compatibility with the latest PTF's

Are the releases backward compatible to the IBM V6R1 operating system ?

mark397
Posts: 87
Joined: Thu May 30, 2013 6:12 pm

Re: Zend Server and IBM i V6R1 support

Post by mark397 » Wed Aug 05, 2015 5:43 pm

We had a website running Zendserver 7 on v6r1, but since then the customer has bought a new box. I can't say for certain about newer versions of Zendserver. The only caveat I remember is the SQL `MERGE` statement was not yet implemented on v6r1. I would suggest trying whichever version you prefer, but of course with little expectation as it is an old release of the OS. If nothing else you can run Zendserver 7 until you are able to upgrade.

scottgcampbell
Posts: 187
Joined: Wed Apr 22, 2009 2:29 pm
Location: Edmonton, AB, Canada

Re: Zend Server and IBM i V6R1 support

Post by scottgcampbell » Wed Aug 05, 2015 9:26 pm

We are at V6R1 and are running:

Zend Server Version: 8.0.2
Build: 95060
Profile: Production

I'll be upgrading to 8.5 hopefully this month. Will try to remember to reply here when I do.

Scott

timo_karvinen
Posts: 82
Joined: Wed Aug 12, 2009 7:58 am
Location: Tampere, Finland
Contact:

Re: Zend Server and IBM i V6R1 support

Post by timo_karvinen » Mon Aug 10, 2015 2:07 pm

I tried to install 8.5 for testing on a machine with V6R1 and the installer said this can't be done.
"Zend Server 8.5 does not support V6R1M0"
So I installed 8.0.2 which is working fine so far.

I was also frustrated that this info couldn't be found anywhere on the Zend web site.
It would be really nice if there was mention of the newest possible version for each IBM i OS version (I still don't know which is the latest that can go in V5R4, yes we still have some of those too unfortunately).

-Timo

User avatar
rodflohr
Zend Global Support
Posts: 56
Joined: Mon Dec 29, 2008 5:28 pm

Re: Zend Server and IBM i V6R1 support

Post by rodflohr » Fri Aug 21, 2015 5:46 pm

Yes, we dropped V6R1 support a little bit early this go round. Here is why:

https://support.zend.com/hc/en-us/articles/208035107

Post Reply